**** v 0.8.2 ****
- Change back to remove the speed optimization for highlight process introduced in 0.8.1 that has too much bugs
- Syntax name are no more stored in language files but in syntax files. Thoses display names will be used only if the compressor tools is used, otherwise syntax code is displayed
- Activate word-wrap feature for opera > 9.6 
- Bug fix: Selection wasn't corretcly remembered between file tabs
- Bug fix: [2886499] Page up and page Down action are no more executed if Alt touch is pressed
- Bug fix: [2887118] UTF-8 encoded URLs return wrong base URL
- Bug fix: [2851936] Unresolved reference to isIE in elements_functions.js 
- Bug fix: [2886836] get_IE_selection bug when closed...
- bug fix: JavaScript error when switching to fullscreen (https://sourceforge.net/projects/editarea/forums/forum/556921/topic/3388824)
- Bug fix (but not applicable due to change back) : [2854519, 2854642, 2792217, 2834579 ] Desynchronisation occcured with <, > and & characters

**** v 0.8.1.1 ****
- Fix bug of frequent syntax desynchronisation when the first character of the textarea was highlighted
- In unload now check that parent.editareaLoader still exists before calling it
- Now consider that gecko and webkit based browser are valid browsers (but I won't test them all)

**** v 0.8.1 ****
- Improved speed of text highlighting process for huge file. Now we try to only insert or delete the changed caracters inside DOM text node instead of refreshing the whole area. (3 time faster in firefox)
- Greatly improved speed of line-height management in word-wrap context 
- Add java syntax (thanks to Dawson Goodell)
- Use faster regexp for matching quoted strings
- Bug fix: if a highlighted quote or comment string contains cariage return, editing text on one of the lines was causin a highlight desynchronisation
- Bug fix: text war blur on Safari 3.2 (thanks to spellcoder)
- Bug fix: there had several mistake with non-monospace font (thanks to spellcoder)
- Bug fix: if show_line_colors was disabled and word wrap enable, highlighted text wasn't refreshed if a new line appears
- Bug fix: in multi file edition, closing the last tab was throwing an error in Firefox and let the content of the textarea displayed
- Browser bug detection: when using non-monospace font Firefox will sometime have strange behavior on text-width (the highlighted text-width in the background may change fron textarea one and simply can change after beeing updated); look likes a browser rendering bug

**** v 0.8 ****
- Word-wrap is now supported (except for opera...). The new init() option is 'word_wrap' to set to 'true' (default is false). A new button appears in the default toolbar (button_code: 'word_wrap' )
- We can now clearly see the selected text
- Add Internet explorer 8 support (but sadly I must use IE7 emulate mode in iframe due to a bug with tabulation width not beeing resized in IE's textarea) 
- Add Safari 4 support
- Add Chrome 2 support
- Better support of Opera 9.6
- Add Simplified Chinese translation "zh" (thanks to Abentian)
- Add Bulgarian translation "bg" (thanks to Valentin Hristov)
- Rename internal function $() by _$()
- Delete EditArea.add_event() method (duplicate af editAreaLoader.add_event() method)
- Do some code cleanup-up
- Bug fix: highlight optimisation process was not working under IE (don't known how long it remain broken but must be since a long time)
- Bug fix: EditArea.update_size sometimes uses undefined variable (fix this possibility and cleanup events)
- Bug fix: Template.html was not valid XHTML
- Bug fix: The checked attribute of the toogle button was not defined in xhtml syntax
- Bug fix: If the editArea was loaded on a page related to a domain which was itself an iframe comming from another domain a JS error was thrown on load
- Bug fix: When EditArea is used to replace a textarea which has style="visibility:hidden;", switching off EditArea would throw an error under IE 

**** v 0.7.3 ****
- Add Finnish transaltion (thanks to Janne Mäntyharju)
- Add 'cursor_position' init() option for defining where the cursor should be when the editor is show on the first time ('auto' or 'begin'). This was like 'auto' before now this is like 'begin' by default
- better add_style method (faster than old one) thanks to Spellcoder
- Bug fix: fix bug with mootools 1.2
- Bug fix: if page had no stylesheets when editarea load, it would generate an error

**** v 0.7.2.3 ****
- it's now released under both LGPL, Apache, BSD license (you can use the one you prefer)
- add support for bonEcho browser

**** v 0.7.2.2 ****
- Fix bug regression introduced in 0.7.2 that make IE7 not working 
- add Esperento translation (thanks to Olivier)  
- add Coldfusion syntax (thanks to Max Leynov) 

**** v 0.7.2.1 ****
- fix bug for firefox rendering of highlighted lines that doesn't begin with a tab
- support for browser with grandParadisio agent instead of firefox

**** v 0.7.2 ****
- add Chrome support
- add show_line_colors init() option for enabling syntax color display and update on the currently edited line (disable the blue bar) (default to false)
- Add Perl syntax definition file (thanks to Christoph Pinkel)
- Bug fix: there allways was an horizontal scrollbar even if the content fit in the area.

**** v 0.7.1.3 ****
- Fix a bug introduced in Firefox 3.0.1 => the browser is no more able to render properly "pre" element with left padding...
- Add Robots.txt (thanks to Pavle Ggardijan) and T-SQL syntax definition files (thanks to Miladin Joksic)

**** v 0.7.1.2 ****
- Fix a  bug on the full screen mode (regression added on 0.7.1.1)

**** v 0.7.1.1 ****
- Firefox 3 RC1 compatibility
- Code size reduction: 120Ko => 107Ko for edit_area_full.js

**** v 0.7.1 ****
- released under both LGPL and Apache license (you can use the one you prefer)
- it's now possible to get a readonly mode: 
	* new EditAreaLoader.init()'s option: "is_editable": true/false
	* Possibility to switch edition mode by using the execCommand function: editAreaLoader.execCommand('editor_id', 'set_editable', !editAreaLoader.execCommand('editor_id', 'is_editable'));
- Added Ruby syntax (thanks to Patrice De Saint Steban)
- Fix a bug where the textarea lose the focus under firefox for Mac
- Minor other bug fixes

**** v 0.7.0.2 ****
- Fixed a bug with translation files containing non-latin caracters. Translations files must be in UTF-8.
- Added Czech, Macedionian and Russian translations


**** v 0.7.0.1 ****
- in multiple file mode, it's now possible to cancel the 'EA_file_close_callback' function. if the callback return false, the edited file won't be closed 
- bug fix: if no syntax was defined in the main init() function in multifile mode, the first time the text was not highlighted


**** v 0.7 ****
- it's now possible to edit multiple files into one instance of EditArea. This (sponsored by Jupiter) feature comes with: 
	* new EditAreaLoader.init()'s option: "is_multi_files": true
	* new editAreaLoader's functions: editAreaLoader.getCurrentFile(editArea_id), editAreaLoader.getFile(editArea_id, file_id), editAreaLoader.getAllFiles(editArea_id), editAreaLoader.openFile(editArea_id, file_infos), editAreaLoader.closeFile(editArea_id, file_id), editAreaLoader.setFileEditedMode(editArea_id, file_id, edited_mode)
	* new callabacks: EA_file_switch_on_callback, EA_file_switch_off_callback, EA_file_close_callback
- look likes Safari 3 is working with EditArea
- add spanish translation (thanks Garito)
- add slovak translation (thanks Gabriel Schwardy)
- add SQL syntax definition file (thanks to Philippe Lewicki)
- the syntax selection plugin has been integrated to editarea core and load only needed files (the plugins was loading all the possible syntax files...). Toolbar button name: "syntax_selection", comma separated available syntax list: "syntax_selection_allow"
- add a 'compression' option in edit_area_compressor.php that allow to set where the code should be compressed or just packed (simple packed mode usefull for debugging)
- the yellow area that indicate the current edited line is now blue
- bug fix: parenthesis matching was not working correctly if there where an "<" between parenthesis

**** v 0.6.7 ****
- add a new plugin that allow the user to change the syntax definition in use. It adds a select in the toolbar. - plugin name to add to the plugin list: "syntax_selection". - plugin name to add to the toolbar list: "syntax_selection". - possible parameter to add to EditAreaLoader.init(): 
"syntax_selection_allow": (String) define a list separated by "," of possible language syntax to use (eg: "php,js,python,html")
- add Croatian translation (HR) (thanks to Ivan Vucica and Davor Cihlar)
- add BASIC, Brainf*ck, C, C++ and Pascal syntax definition files (thanks to Ivan Vucica and Davor Cihlar)
- add Iceweasel as a known working navigator (its a clone of Firefox)
- improved the php syntax by highlighting the variables ($...)
- reactivate gzip compression for IE7 (was desactivate for IE as it sometimes failed). (Let me know if you see that the load fails under IE7)
- pressing "enter" while being in the search box now perform a search.
- add Camino as a supported browser
- bug fix: when clicking between the bottom toolbar and the textarea (when there is only few lines of text), the textarea didn't get the focus
- bug fix: under IE the delete_instance() method was throwing an error
- bug fix: if the textarea to convert in an EditArea was in a frame (or iframe) getting back from fullscreen to normal display was not restoring the correct settings to the frame containing the textarea.
- bug fix (at least I hope): in IE if the textarea to convert in an EditArea was in a frame, resizing the frame was not correctly resizing the editor if it was in fullscreen.
- bug fix: in Opera the selectionned line was not rendered correctly if containing \t caracters (bug introduced in one of the latest version...)
- bug fix: "altgr+f" was openning the searchbox and avoid to write "[" and "]" in croatian keyboards.
- bug fix: in Firefox "ctrl+tab" was inserting a tabulation while switching active tab (window)

Note: v 0.6.5 and v 0.6.6 have been private release (change log is regrouped in v 0.6.7)

**** v 0.6.4 ****
- add replace_tab_by_spaces init() option which allow to replace all tabulation caracters typped in the text by a given number of spaces
- add min_width and min_height init() option for the minimum size in pixel for the editor
- add dutch translation files (NL) (thanks to Bart Bosma)
- pressing Shift+Tab when no text is selected now delete the tabulation before the cursor (if a tabulation is present directly behing the cursor)
- improve Python syntax (thanks to Andre Roberge)
- bug fix: the fullpage plugin was not working correctly when the Editor was placed inside several divs that have positioning of there own
- bug fix: one regexp used in edit_area_compressor.php was not compatible with latest PCRE version

- fix the my_load and my_save functions of the 'exemple_full.html' page

**** v 0.6.3.1 ****
- regression: restore monospace as default font
- add little improvements to the PHP compressor: allow to win 7 Ko on edit_area_full.js
- add the version number in the about popup
- bug fix: fix a regexp that was not compliant with newer version of PCRE
- bug fix: fix some bug with the fullscreen mode (still not perfect in Opera)
- bug fix: the close button of the help popup was not correctly translated
- bug fix: when deleting an instance of editArea toggle_off was called even if the editArea was not displayed


**** v 0.6.3 ****
- allow to use non monospace font using the font_family init option. Firefox get smaller tabulation with non monospace fonts. IE doesn't change the tabulation width and Opera doesn't take this option into account... new default font-familly: 'verdana,monospace'
- add fullscreen option in the toolbar and as an init() option. 
- if the based textarea has a width (or height) in '%', EditArea will get the same '%' width (or  height), allowing EditArea to be resized in the same time than the window.
- add many callback possibility: submit_callback, EA_load_callback, EA_unload_callback, EA_init_callback, EA_toggle_on_callback, EA_toggle_off_callback, EA_delete_callback (see documentation for more information)
- bug fix: when toggling from textarea to editarea, IE was almost of the time not keeping the selection
- bug fix: the brackets where still highlighted in red when being deleted
- bug fix: brackets where not placed correctly when the line contains html entitites (&amp; &quot; etc....)


**** v 0.6.2 ****
WARNING => POSSIBLE BREAK COMPATIBILITY:
- the load_callback now receive the 'id' of the textarea and no more a reference to the textarea. Developpers should use editAreaLoder methods rather than modfying directly the textarea.
- the save_callback now receive the 'id' of the textarea as first argument, and it's content in the second argument.

- EditArea is now compatible with javascript libraries like "prototype" (1.5) and "mootools" (release 83)
- add two function to EditAreaLoader: hide(id) and show(id), that will allow to completly hide/restore both EditArea and normal textarea (usefull when EditArea is included in tabs).
- it's no more possible to move the search window out of the frame.
- gecko_spellcheck option is now set to false by default.
- add a onchange_callback option (cf doc)
- bug fix: in IE when syntax highlight was on, clicking on the textarea outside the range of the text, the click wasn't taking into account.
- bug fix: references to the orginal textarea could be lost while using EditArea.
- bug fix: using insertTags, getSelectionRange when editArea was not focused, IE failed
- bug fix: main script could fail to load additionnal files in certain specific cases

**** v 0.6.1 ****
- compatiblity with Firefox 2 checked (was already compatible before).
- compatiblity with IE7 checked (was already compatible before).
- added possibility to call the editAreaLoader.init() function at any moment (no more limited to window load). Allow to replace an EditArea instance by a new one with other options.
- added new gecko_spellcheck option, this enables you to disable/enable the FF 2.0 spellchecker.
- added editAreaLoader.delete_instance(id) to allow to delete an EditArea instance
- Fix a bug where "Ctrl+G" wasn't openning anymore the go to line prompt box.


**** v 0.6.0.1 ****
- add italian translation (thanks to Luciano Vernaschi)
- add polish translation (thanks to Piotr Furman)
- improve deutsh translation (thanks to Felix Riesterer)
- add a little style improvement for buttons in search popup. they can't be splited in two line anymore
- change color for tags in html and xml syntax due to visibility problems


**** v 0.6 ****
- add plugins possibilies
- add editAreaLoader.insertTags function to allow easy tags insertion.
- improve undo & redo functionnality
- improve php compression: "edit_area_full.js" is 9 Ko smaller
- improve syntax highlight regexp for quotted string. \\" or \\' (or \\\\", etc...) will now effectively close quotted string
- add scrollbars to the popups when the popup's height is smaller than the editor's height
- add japanese translation file (thanks to ISHITOYA Kentaro)
- add possibility to add line-break in toolbar ("*")
- disable gzip compression for IE (see: http://support.microsoft.com/default.aspx?scid=kb;en-us;Q312496)
- bug fix: when submitting form while editarea toggled off, the post value was equals to the old content of editarea and not the visible textarea
- bug fix: under IE the editor was scrolling when pressing enter
- bug fix: when insterting text on first line there was an highlight desynchronization



**** v 0.5.3 ****
WARNING => POSSIBLE BREAK COMPATIBILITY:
- correct a spelling error: "toogle" become "toggle" in the whole code. This can perturb the initialization with the "allow_toggle" init parameters

- add a case sensitive option in syntax definition files
- improve html syntax definition file
- add xml syntax definition file
- add vb syntax definition file (thanks to Martin Gottlieb)
- add some function that will allow dynamic EditArea content management, taking into account if the editor is displayed or toggled off (editAreaLodaer.getValue(), editAreaLoader.setValue(), editAreaLoader.getSelectedText(), editAreaLoader.setSelectedText(), editAreaLoader.getSelectionRange and editAreaLoader.setSelectionRange()). See "javascript functions" documentation for more informations
- add a generic function (editaAreaLoader.execCommand) to allow to access EditArea's functions and datas
- add portuguese translation file (thanks to Leonardo Sapucaia)
- add compatibility to IE7 RC1


**** v 0.5.2 ****
- Opera improvement: text indentation is now working, and "go to line" is now working as in other browsers
- Bug fix: It was still possible to select text in search popup
- Bug fix: the "go to line" popup wasn't displaying anymore
- There was still some hard codded word in the search field => added them to translation files
- Bug fix: when multiple languages were used in the same page, there could have translation exchange between the different editors


**** v 0.5.1 ****
- Bug fix: the highlighted bracket was displayed on line 1 when it should be in line 2
- Bug fix: the highlighted bracket were bad displayed in IE
- Bug fix: their was some error in the optimisation process of the highlight mode
- Bug fix: their was a bug when moving the search popup on IE

**** v 0.5 ****
- Now released under LGPL
- Rewrite nearly from scratch
- Added Danish translation file (thanks to Peter Klein)
- Add python syntax


WARNING => BREAK COMPATIBILITY:
- the whole loading process (javascript include and init function call) is changed (but it's similar to the old version)
- the languages translation files are not stored in the same variable


IMPROVEMENTS:
- The whole code is more stable
- Allow several instance on the same page
- Faster to load
- The highlight process is more stable and there is nearly no more to use the "re sync" button
- Add support of Opera 9 (even if its still not perfect)
- Add the possibility to load a new compressed script of only 20Ko for the whole core script even if PHP is not installed
- The textarea can be toggled to an EditArea on window load or later
- The EditArea is loaded in a iframe => there is no more interaction with user css
- Support the reset action of a form
- Add support for "page up" & "page down" button
- There is now a waiting screen when toggling on the highlight syntax (but it can't be an animated one, even gif are not animated due to CPU load)
- All supported browsers can now change font-size

BUG FIXES: 
- Sometimes while using the "toggle editor" button to turn of the editor, the standard textarea was expanded to the full size of the textarea content.
- When resizing the area the selection was lost
- Allow translation for some forgotten hard-coded word (the "move" button for search popup, and "font size", and keys word in help panel).
- It was possible to "drag" the buttons from the Search/Replace popup into the content of the textarea.
- On first display (when the files are not in cache) or with xhtml doctype there is a display bug (the content of the textarea exceed of 4px)
- when the cursor was at the beginning of the 1st line of the textarea, the caracter position was set to 0 instead of 1



***v 0.4****
- Increases syntax highlight proccess speed by 5 => allow a better live editing mode with syntax highlight.
- Now syntax highlight has a real language syntax. Text is parsing with rules depending of the language definition file. (limitation: there is only one language on the same time > doesn't allow to parse html and php on the same page).
- Syntax highlight can be easily extended with new code languages (there is currently: php, css, js, html).
- Add german language file (thanks to Olaf Brambrink).
- Fix some little bugs.




***v0.33***
- First release.
